Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 880456 - Hard to tell where new commands start
Summary: Hard to tell where new commands start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: Publican Users Guide
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 3.2
Assignee: Zac Dover
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 03:18 UTC by Julie
Modified: 2013-08-09 04:47 UTC (History)
5 users (show)

Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 04:47:20 UTC


Attachments (Terms of Use)

Description Julie 2012-11-27 03:18:31 UTC
Description of problem:
In 7.1.2 step 9 and 7.1.3 step 7, two commands are written in the same screen output box. This may cause confusion to readers. Suggest to display them in two screen output boxes.

Version-Release number of selected component (if applicable):3.0

Steps to Reproduce:
1.http://jfearn.fedorapeople.org/en-US/Publican/3.0/html-single/Users_Guide/index.html#sect-Users_Guide-Website-structure-product-version-manual (step 7)
2.http://jfearn.fedorapeople.org/en-US/Publican/3.0/html-single/Users_Guide/index.html#sect-Users_Guide-Website-homepage-manual (step 9)

  
Actual results:
<screen>
publican build --publish --formats html-single --embedtoc --langs all 
publican install_book --site_config ~/docsite/foomaster.cfg --lang Language_Code
</screen>

Expected results:
<screen>
publican build --publish --formats html-single --embedtoc --langs all 
</screen>
<screen>
publican install_book --site_config ~/docsite/foomaster.cfg --lang Language_Code
</screen>

Additional Info:
Please check throughout the book.

Comment 2 Zac Dover 2013-07-11 05:50:32 UTC
Committed
1b8f230..235867c

This commit adds prompts to all commands in the Users Guide.

It is now clear where all commands start and stop.

Comment 3 HSS Product Manager 2013-07-15 23:58:47 UTC
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.

Comment 4 Misha H. Ali 2013-08-07 06:33:25 UTC
7.1.2.

FailedQA: Neither of the suggested fixes had fixed the problem.

* Commands are not split into two boxes as suggested.
* A single prompt appears instead of two:

$ publican build --publish --formats html-single --embedtoc --langs all 
publican install_book --site_config ~/docsite/foomaster.cfg --lang Language_Code

7.1.3.

FailedQA: Neither of the suggested fixes had fixed the problem.

* Commands are not split into two boxes as suggested.
* A single prompt appears instead of two:

$ publican build --publish --formats html-single --embedtoc --langs all 
publican install_book --site_config ~/docsite/foomaster.cfg --lang Language_Code

Comment 5 Ruediger Landmann 2013-08-07 07:00:48 UTC
Yeah, it's not what the reporter asked for, but thinking about it, adding prompts throughout might actually be a better solution to the underlying problem reported in this bug: that readers might not know where new commands start. 

The missing second prompts are a problem though; I've just added them in 145f7bc..a70f9d3  devel -> devel

Comment 6 Misha H. Ali 2013-08-07 23:45:26 UTC
(In reply to Ruediger Landmann from comment #5)
> Yeah, it's not what the reporter asked for, but thinking about it, adding
> prompts throughout might actually be a better solution to the underlying
> problem reported in this bug: that readers might not know where new commands
> start. 

Yep, I meant that neither of the proposed fixes was available in the document. Verified fixes now in 7.1.2. and 7.1.3.

Comment 7 Jeff Fearn 🐞 2013-08-09 04:47:20 UTC
The fix for this bug has been shipped in publican 3.2.0


Note You need to log in before you can comment on or make changes to this bug.